<div>
  <h2 id="page-heading" data-cy="StageHeading">
    <span jhiTranslate="gestionPersonnel3App.stage.home.title">Stages</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.stage.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-stage"
        [routerLink]="['/stage/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.stage.home.createLabel"> Créer un nouveau Stage </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="stages?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.stage.home.notFound">Aucun Stage trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="stages && stages.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateDebut">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.stage.dateDebut">Date Debut</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateFin">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.stage.dateFin">Date Fin</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="natureStage.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.stage.natureStage">Nature Stage</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.stage.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let stage of stages; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/stage', stage.id, 'view']">{{ stage.id }}</a>
          </td>
          <td>{{ stage.dateDebut | formatMediumDate }}</td>
          <td>{{ stage.dateFin | formatMediumDate }}</td>
          <td>
            <div *ngIf="stage.natureStage">
              <a [routerLink]="['/nature-stage', stage.natureStage.id, 'view']">{{ stage.natureStage.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="stage.employe">
              <a [routerLink]="['/employe', stage.employe.id, 'view']">{{ stage.employe.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button type="submit" [routerLink]="['/stage', stage.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button type="submit" [routerLink]="['/stage', stage.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(stage)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
